Index: pykota/trunk/bin/cupspykota
===================================================================
--- pykota/trunk/bin/cupspykota (revision 2398)
+++ pykota/trunk/bin/cupspykota (revision 2409)
@@ -731,13 +101,11 @@
             except OSError, e :    
                 if e.errno != errno.EPERM :
-                    # process doesn't exist anymore, remove the lock
+                    # process doesn't exist anymore
                     os.remove(lockfilename)
             
         if not os.path.exists(lockfilename) :
             lockfile = open(lockfilename, "w")
-            lockfile.write("%i" % os.getpid())
+            lockfile.write("%i" % self.pid)
             lockfile.close()
-            # we will execute each existing backend in device enumeration mode
-            # and generate their PyKota accounting counterpart
             allbackends = [ os.path.join(directory, b) \
                                 for b in os.listdir(directory) 
@@ -753,9 +121,11 @@
                 if status is None :
                     for d in devices :
-                        # each line is of the form : 'xxxx xxxx "xxxx xxx" "xxxx xxx"'
+                        # each line is of the form : 
+                        # 'xxxx xxxx "xxxx xxx" "xxxx xxx"'
                         # so we have to decompose it carefully
-                        fdevice = cStringIO.StringIO("%s" % d)
+                        fdevice = cStringIO.StringIO(d)
                         tokenizer = shlex.shlex(fdevice)
-                        tokenizer.wordchars = tokenizer.wordchars + r".:,?!~/\_$*-+={}[]()#"
+                        tokenizer.wordchars = tokenizer.wordchars + \
+                                                        r".:,?!~/\_$*-+={}[]()#"
                         arguments = []
                         while 1 :
